#!/bin/bash

#syntax : ./ajout_user.sh toto 192\.168\.200\.20 24 video 225$ty1dzq

NOM=$1
IP=$2
MASK=$3
FILTRE=$4
MDP=$5

#Squid.conf

#new_acl
sed -i s/"#<new_acl>"/"acl ${NOM} src ${IP}\/${MASK}\n#<new_acl>"/ /etc/squid/squid.conf

#new http access
sed -i s/"#<new_http_access>"/"http_access allow ${NOM}\n#<new_http_access>"/ /etc/squid/squid.conf

#SquidGuard.conf :

#new source
sed -i s/"#<new_src>"/"src ${NOM} {\n                ip      ${IP}\/${MASK}\n         }\n\n#<new_src>"/ /etc/squid/squidGuard.conf

#new filtre
sed -i s/"#<new_filtre>"/"dest ${FILTRE} {\n        logfile ${FILTRE}.log\n\n                domainlist      ${FILTRE}\/domains\n                urllist         ${FILTRE}\/urls\n}\n\n#<new_filtre>"/ /etc/squid/squidGuard.conf

#new_acl
sed -i s/"#<new_acl>"/"        ${NOM} {\n                pass \!${FILTRE} \!porn all\n                redirect http\:\/\/www\.google\.fr\n        }\n\n#<new_acl>"/ /etc/squid/squidGuard.conf

#ajout du login et mdp
cd /etc/squid/
htpasswd -b auth_granted.pwd ${NOM} ${MDP}
chmod o+r auth_granted.pwd
